%define        majorminor  %(echo %version | cut -d. -f 1).0
%define        libname     lib%{name}

Name:          gst-plugins-base
Version:       1.14.1
Release:       1mamba
Summary:       GStreamer Streaming-media framework plugins
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://gstreamer.freedesktop.org
Source:        http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXv-devel
BuildRequires: libalsa-devel
BuildRequires: libcairo-devel
BuildRequires: libcdparanoia-devel
BuildRequires: libglib-devel
BuildRequires: libgstreamer-devel
BuildRequires: libogg-devel
BuildRequires: liborc-devel
BuildRequires: libpango-devel
BuildRequires: libtheora-devel
BuildRequires: libvisual-devel
BuildRequires: libvorbis-devel
BuildRequires: libvorbisidec-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: valgrind-devel
BuildRequires: libpython-devel
BuildRequires: libcheck-devel
BuildRequires: orc
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package contains a set of reference plugins, base classes for other plugins, and helper libraries.
This module is kept up-to-date together with the core developments.
Element writers should look at the elements in this module as a reference for their development.

This module contains elements for, among others:
* device plugins: x(v)imagesink, alsa, v4lsrc, cdparanoia
* containers: ogg
* codecs: vorbis, theora
* text: textoverlay, subparse
* sources: audiotestsrc, videotestsrc, gnomevfssrc
* network: tcp
* typefind
* audio processing: audioconvert, adder, audiorate, audioscale, volume
* visualisation: libvisual
* video processing: ffmpegcolorspace
* aggregate elements: decodebin, playbin

%package -n %{libname}
Summary:       GStreamer plugin libraries
Group:         System/Libraries
Provides:      gst-plugins-base
Obsoletes:     gst-plugins-base

%description -n %{libname}
This package contain the basic audio and video playback library and the interfaces library.

%package -n %{libname}-devel
Summary:       GStreamer Plugin Library Headers
Group:         Development/Libraries
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
This package contains a set of reference plugins, base classes for other plugins, and helper libraries.

%package -n %{libname}-apidocs
Summary:       GStreamer Plugin Base Library API documentation
Group:         Documentation
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description -n %{libname}-apidocs
GStreamer Plugin Base Library API documentation.

%prep
%setup -q -n gst-plugins-base-%{version}

%build
export CHECK_LIBS=-lcheck
%configure \
   --enable-libvisual \
   --enable-gio

#\
 #  --enable-gtk-doc \
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang gst-plugins-base-%{majorminor}

# remove uppackaged files
rm -f %{buildroot}%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f %{buildroot}%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n %{libname} -f gst-plugins-base-%{majorminor}.lang
%defattr(-,root,root)
%{_bindir}/gst-device-monitor-%{majorminor}
%{_bindir}/gst-discoverer-%{majorminor}
%{_bindir}/gst-play-%{majorminor}
%{_libdir}/libgstallocators-%{majorminor}.so.*
%{_libdir}/libgstapp-%{majorminor}.so.*
%{_libdir}/libgstaudio-%{majorminor}.so.*
%{_libdir}/libgstgl-%{majorminor}.so.*
%{_libdir}/libgstfft-%{majorminor}.so.*
%{_libdir}/libgstriff-%{majorminor}.so.*
%{_libdir}/libgstrtp-%{majorminor}.so.*
%{_libdir}/libgsttag-%{majorminor}.so.*
%{_libdir}/libgstvideo-%{majorminor}.so.*
%{_libdir}/libgstpbutils-%{majorminor}.so.*
%{_libdir}/libgstrtsp-%{majorminor}.so.*
%{_libdir}/libgstsdp-%{majorminor}.so.*
%{_libdir}/gstreamer-%{majorminor}/*.so
%{_libdir}/girepository-1.0/Gst*.typelib
%dir %{_datadir}/gst-plugins-base
%{_datadir}/gst-plugins-base/%{majorminor}/license-translations.dict
%{_mandir}/man1/gst-device-monitor-%{majorminor}.1*
%{_mandir}/man1/gst-discoverer-%{majorminor}.1*
%{_mandir}/man1/gst-play-%{majorminor}.1*
%doc AUTHORS COPYING COPYING.LIB

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/gstreamer-%{majorminor}/gst/allocators
%{_includedir}/gstreamer-%{majorminor}/gst/allocators/*.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/app
%{_includedir}/gstreamer-%{majorminor}/gst/app/*.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/audio
%{_includedir}/gstreamer-%{majorminor}/gst/audio/*.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/gl
%{_includedir}/gstreamer-%{majorminor}/gst/gl/*
%dir %{_includedir}/gstreamer-%{majorminor}/gst/fft/
%{_includedir}/gstreamer-%{majorminor}/gst/fft/*.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/riff
%{_includedir}/gstreamer-%{majorminor}/gst/riff/*.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/tag/
%{_includedir}/gstreamer-%{majorminor}/gst/tag/*.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/video/
%{_includedir}/gstreamer-%{majorminor}/gst/video/*.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/pbutils
%{_includedir}/gstreamer-%{majorminor}/gst/pbutils/*.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/rtp
%{_includedir}/gstreamer-%{majorminor}/gst/rtp/*.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/rtsp
%{_includedir}/gstreamer-%{majorminor}/gst/rtsp/*.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/sdp
%{_includedir}/gstreamer-%{majorminor}/gst/sdp/*.h
%dir %{_libdir}/gstreamer-%{majorminor}/include/gst/gl
%{_libdir}/gstreamer-%{majorminor}/include/gst/gl/gstglconfig.h
%{_libdir}/libgstallocators-%{majorminor}.so
%{_libdir}/libgstapp-%{majorminor}.so
%{_libdir}/libgstaudio-%{majorminor}.so
%{_libdir}/libgstfft-%{majorminor}.so
%{_libdir}/libgstgl-%{majorminor}.so
%{_libdir}/libgstriff-%{majorminor}.so
%{_libdir}/libgstrtp-%{majorminor}.so
%{_libdir}/libgsttag-%{majorminor}.so
%{_libdir}/libgstvideo-%{majorminor}.so
%{_libdir}/libgstpbutils-%{majorminor}.so
%{_libdir}/libgstrtsp-%{majorminor}.so
%{_libdir}/libgstsdp-%{majorminor}.so
%{_datadir}/gir-1.0/Gst*.gir
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README

%files -n %{libname}-apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/gst-plugins-base-libs-%{majorminor}/
%{_datadir}/gtk-doc/html/gst-plugins-base-plugins-%{majorminor}/

%changelog
* Fri May 18 2018 Automatic Build System <autodist@mambasoft.it> 1.14.1-1mamba
- automatic version update by autodist

* Sun Apr 15 2018 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 1.12.4-1mamba
- automatic version update by autodist

* Tue Sep 19 2017 Automatic Build System <autodist@mambasoft.it> 1.12.3-1mamba
- automatic version update by autodist

* Fri Jul 14 2017 Automatic Build System <autodist@mambasoft.it> 1.12.2-1mamba
- automatic version update by autodist

* Tue Jun 20 2017 Automatic Build System <autodist@mambasoft.it> 1.12.1-1mamba
- automatic version update by autodist

* Sat Jun 17 2017 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Fri Feb 24 2017 Automatic Build System <autodist@mambasoft.it> 1.10.4-1mamba
- automatic version update by autodist

* Thu Feb 02 2017 Automatic Build System <autodist@mambasoft.it> 1.10.3-1mamba
- automatic version update by autodist

* Tue Nov 29 2016 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Sat Nov 19 2016 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Thu Nov 03 2016 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Tue Sep 20 2016 Automatic Build System <autodist@mambasoft.it> 1.9.2-1mamba
- automatic update by autodist

* Fri Aug 19 2016 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Mon Jun 13 2016 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Wed Apr 20 2016 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Thu Jan 21 2016 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Tue Dec 15 2015 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Sat Oct 31 2015 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Dec 21 2014 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic version update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Wed Jul 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3-1mamba
- update to 1.3.3

* Sun Jun 08 2014 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic update by autodist

* Tue Apr 22 2014 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Mon Feb 10 2014 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Sun Dec 29 2013 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Mon Nov 11 2013 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Thu Aug 29 2013 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic update by autodist

* Thu Jun 13 2013 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Fri Apr 26 2013 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Tue Mar 26 2013 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Wed Jan 09 2013 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Wed Dec 19 2012 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Sat Nov 24 2012 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Mon Nov 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-2mamba
- re-enable ivorbis support

* Thu Oct 25 2012 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Sun Oct 07 2012 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Fri Oct 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- don't obsolete gst-plugins-base0.10*

* Sat Sep 29 2012 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Thu Mar 15 2012 Automatic Build System <autodist@mambasoft.it> 0.10.36-1mamba
- automatic version update by autodist

* Wed Dec 14 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.35-2mamba
- integrate gst-plugins-base into libgst-plugins-base

* Thu Jun 16 2011 Automatic Build System <autodist@mambasoft.it> 0.10.35-1mamba
- automatic update by autodist

* Sat May 14 2011 Automatic Build System <autodist@mambasoft.it> 0.10.34-1mamba
- automatic update by autodist

* Tue Jan 25 2011 Automatic Build System <autodist@mambasoft.it> 0.10.32-1mamba
- automatic update by autodist

* Sat Dec 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.31-2mamba
- rebuilt with libtheora 1.1.1 and orc 0.4.11

* Mon Dec 06 2010 Automatic Build System <autodist@mambasoft.it> 0.10.31-1mamba
- automatic update to 0.10.31 by autodist

* Mon Jul 26 2010 Automatic Build System <autodist@mambasoft.it> 0.10.30-1mamba
- automatic update to 0.10.30 by autodist

* Thu Jun 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.29-1mamba
- update to 0.10.29

* Tue Feb 16 2010 Automatic Build System <autodist@mambasoft.it> 0.10.26-1mamba
- automatic update by autodist

* Sat Nov 21 2009 Automatic Build System <autodist@mambasoft.it> 0.10.25-1mamba
- automatic update to 0.10.25 by autodist

* Mon Aug 10 2009 Automatic Build System <autodist@mambasoft.it> 0.10.24-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 0.10.23-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.22-1mamba
- automatic update by autodist

* Mon Nov 10 2008 gil <puntogil@libero.it> 0.10.21-1mamba
- update to 0.10.21

* Wed Jul 09 2008 gil <puntogil@libero.it> 0.10.20-1mamba
- update to 0.10.20

* Fri Apr 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.19-1mamba
- update to 0.10.19

* Tue Nov 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.14-1mamba
- update to 0.10.14

* Mon Feb 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.11-3qilnx
- also obsolete devel and apidocs packages

* Mon Feb 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.11-2qilnx
- rename to gst-plugins-base and obsolete libgst-plugins

* Thu Jan 18 2007 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.11-1qilnx
- update to version 0.10.11 by autospec

* Thu Jun 15 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.10.8-1qilnx
- update to version 0.10.8 by autospec
- libgst-plugins-base package changed to libgst-plugins-base0.10

* Tue May 23 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.7-1qilnx
- package created by autospec
